# Ogre::ScriptToken Struct Reference

This struct represents a token, which is an ID'd lexeme from the parsing input stream. More...

`#include <OgreScriptLexer.h>`

List of all members.

## Public Attributes

String | lexeme
| This is the lexeme for this token.
String | file
uint32 | type
| This is the id associated with the lexeme, which comes from a lexeme-token id mapping.
uint32 | line
| This holds the line number of the input stream where the token was found.

## Detailed Description

This struct represents a token, which is an ID'd lexeme from the parsing input stream.

Definition at line 60 of file OgreScriptLexer.h.

## Member Data Documentation

String Ogre::ScriptToken::lexeme

This is the lexeme for this token.

Definition at line 63 of file OgreScriptLexer.h.

String Ogre::ScriptToken::file

Definition at line 63 of file OgreScriptLexer.h.

uint32 Ogre::ScriptToken::type

This is the id associated with the lexeme, which comes from a lexeme-token id mapping.

Definition at line 65 of file OgreScriptLexer.h.

uint32 Ogre::ScriptToken::line

This holds the line number of the input stream where the token was found.

Definition at line 67 of file OgreScriptLexer.h.

The documentation for this struct was generated from the following file:

- OgreScriptLexer.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Dec 27 17:35:30 2009